Exigences techniques

From ICA-AtoM
Jump to: navigation, search

Please note that ICA-AtoM is no longer actively supported by Artefactual Systems.
Visit https://www.accesstomemory.org for information about AtoM, the currently supported version.


Page principale > Manuel utilisateur > Présentation générale > Exigences techniques


ICA-AtoM a été conçu en supposant que les utilisateurs et les contributeurs disposaient des technologies minimales. Les seules exigences sont un accès Internet et un navigateur web. Tout navigateur web fait l’affaire. ICA-AtoM repose toutefois sur le langage de script Java "côté client" pour rendre compte de certains effets d’affichage de contenu :

  • Les formulaires et les champs sont regroupés en zones d’information « repliables » (les champs peuvent être affichés ou masqués)
  • Certains menus déroulants sont repliables (les listes peuvent être dépliées pour afficher plus de choix ou réduites pour les masquer)

Les navigateurs moins récents ne supportant pas JavaScript ne permettront pas l’affichage de ces effets d’interface. Ils permettent d’accéder à ICA-AtoM dans son intégralité, mais l’affichage ne sera pas aussi satisfaisant. Il est donc recommandé aux utilisateurs d’employer des navigateurs récents supportant JavaScript (par exemple Firefox x +, Internet Explorer x +, Safari x +).

Internet Explorer 8 et AtoM 2.0

Avec la version 2.0 de ICA-AtoM 2.0 (la date prévue actuellement pour la sortie est février 2013), AtoM ne supportera plus Internet Explorer (IE) 8 ou des versions plus anciennes. Si possible, mettre à jour le navigateur (IE9 ou version plus récente), ou utiliser un navigateur comme Firefox, Chrome, Opera, or Safari.


Ou bien, si le navigateur ne peut pas être mis à jour, il est recommandé d'installer Google Chrome frame pour Internet Explorer :

Google Chrome Frame est un plug-in gratuit pour Internet Explorer. Certaines applications Web avancées utilisent Google Chrome Frame pour offrir des fonctionnalités supplémentaires et de meilleures performances.
Télécharger Google Chrome Frame à :
Accélérer son expérience sur le Web
  • Les sites qui utilisent Google Chrome Frame deviennent plus réactifs.
Enjoy more advanced features
  • With Google Chrome Frame, sites offer you new features based on open technologies.
Surf the web the way that you are used to
  • Google Chrome Frame works under the hood with your current browser.


More information on Google's Chrome frame can be found here.


To Install Chrome Frame:

  1. Open Internet Explorer (version 7, 8, or 9)
  2. Navigate to: http://www.google.com/chromeframe
  3. Follow the download and installation instructions
    • You will first have to agree to Google's Terms and Conditions of Use

Chromeframe 1 terms.PNG

  • The installation should only take a moment, and you will not see in any noticeable change in the browser.

Chromeframe 2 install.PNG

  • Remember, if you need to manage or uninstall this add-on, you can do so in Internet Explorer by going to Tools > Manage Add-ons and selecting the Chrome Frame from the list.


NOTE: This solution to discontinue IE8 support has not been thoroughly tested. If you are running IE8 and using the Chrome Frame after our support for IE8 is discontinued and you encounter a bug, please let us know in the ICA-AtoM Issues list or start a discussion in the ICA-Atom User Discussion Forum.
Personal tools
Namespaces

Variants
Actions
Navigation
Toolbox
In other languages